#include<bits/stdc++.h>
using namespace std;
int main(){
	freopen("assign.in", "r", stdin);
	freopen("assign.out", "w", stdout);
	cin >> T;
	for(int i = 1; i <= T; i++){
		cout << 0;
	}
	/*
	60pts+0pts+0pts+36pts=寄
	AFO，启动！ 
	
	自言本是jhy，家在致明楼中住。
	十三学得数论成，名属创美第一部
	证毕每教陈海服，洗发每被蒋楠妒
	五大竞赛争缠头，一证答案不知数
	电脑键盘敲到碎，代码bug修到哭
	今年信竞复明年，高中时光等闲度
	代码爆零信心死，暮去朝来大脑故
	屏幕题目思路稀，老大摆烂作了土
	竞赛重利轻别离，前月浮梁学文化
	学完文化期中考，排名八百不敢看
	夜深忽梦少年事，梦啼妆泪红阑干 
	
	我打竞赛已叹息，又闻此语重唧唧
	同是天涯信竞人，相逢何必曾相识
	我从去年辞南屏，谪居卧病一中里
	一中地辟无游戏，终岁不闻音乐声
	其间旦暮闻何物，超雄宿管罗凤秀
	春江花朝秋月夜，往往长坐机房中
	岂无同学乱唱歌？呕哑嘲哳难为听 
	今夜闻君信竞语，如听仙乐耳暂明
	莫辞更坐打一曲，为君翻作《信竞行》
	
	感我此言良久立，却坐促键键转急
	凄凄不似向前声，满座重闻皆掩泣
	座中泣下谁最多？泰国司马青衫湿 
	*/
}
